/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { PrecipitationName } from "./names/precipitationName.js";
import type { SpecialName } from "./names/specialName.js";
import type { TemperatureName } from "./names/temperatureName.js";
import type { WindName } from "./names/windName.js";

export interface Special {
  name:           SpecialName;
  temps:          Array<TemperatureName> | "any";
  winds:          Array<WindName> | "any";
  precipitations: Array<PrecipitationName> | "any";
  description:    string;
  emote:          string;
}
