/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { WeatherForecast } from "./weather/weatherForecast.js";
import type { NewsChannel, TextChannel } from "discord.js";

export interface WeatherCache {
  Rudania:  WeatherForecast | null;
  Inariko:  WeatherForecast | null;
  Vhintl:   WeatherForecast | null;
  channels: {
    Rudania: TextChannel | NewsChannel;
    Inariko: TextChannel | NewsChannel;
    Vhintl:  TextChannel | NewsChannel;
  };
}
